/** @type {import('tailwindcss').Config} */

const spacing = {}
for (let index = 0; index < 96; index++) {
  spacing[index + 1] = `${index + 1}px`
}
const colorObj = {
  menub: '#FFBA00',
  primary: '#0057FF',
  danger: '#FF3B30',
  info: '#a6a6a6',
  success: '#4ECB74',
  warning: '#FFA43D'
}
module.exports = {
  content: ['./index.html', './src/**/*.{vue,js,jsx}'],
  theme: {
    spacing: spacing,
    fontSize: spacing,
    borderColor: theme => ({
      ...theme('colors'),
      ...colorObj
    }),
    backgroundColor: theme => ({
      ...theme('colors'),
      ...colorObj
    }),
    textColor: theme => ({
      ...theme('colors'),
      ...colorObj
    }),
    extend: {}
  },
  plugins: []
}
